/*****************************************************************************
 *
 * This program is free software ; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 * $Id: subtitle.h $
 *
 ****************************************************************************/

#ifndef __OVERLAY_SUBTITLE_H
#define __OVERLAY_SUBTITLE_H

#include "../common/common.h"

#define SUBT_ID				FOURCC('S','U','B','T')
#define SUBT_FONTNAME		0x10
#define SUBT_HIRESFONTSIZE	0x11
#define SUBT_LOWRESFONTSIZE	0x12
#define SUBT_LOWRESBOUNDARY	0x13

#define SUBTITLE_GDI		0x01
#define SUBTITLE_GAPI		0x02
#define SUBTITLE_ATI3200	0x04
#define SUBTITLE_INTEL2700G	0x08

extern void SubTitle_Init();
extern void SubTitle_Done();

int		GetSubtitlePos		(void* p, unsigned int curtime);
int		DrawSubtitle		(void* p, overlay_base *over, int type, int pitch);
void	BlitSubtitle		(void* p, short* dest);
void	RedrawSubtitle		(void* p);

#endif
